init 2 python:

    # MAIN
    ev_thelake = Event("thelake", Main, 1, "weekday_morning", "thelake == False") # Praying for a Tolorable Tomorrow
    ev_dayaidream = Event("dayaidream", Main, 1, "chain", "thelake") # Dream Feeling
    ev_firstday = Event("firstday", Main, 1, "chain", "dayaidream") # A Sensei's First Day
    ev_day2 = Event("day2", Main, 1, "chain", "firstday") # Lunch Service
    ev_day3 = Event("day3", Main, 1, "chain", "day2") # The Usagi Wandering Eye
    ev_day4 = Event("day4", Main, 1, "chain", "day3") # Hot, Steamy Action
    ev_day5 = Event("day5", Main, 1, "chain", "day4") # Pinky
    ev_day6 = Event("day6", Main, 1, "chain", "day5") # Typical Satuday VN Events
    ev_day7 = Event("day7", Main, 1, "chain", "day6") # Typical(?) Sunday VN Events
    ev_day8 = Event("day8", Main, 1, "chain", "day7") # Light...
    ev_day9 = Event("day9", Main, 1, "chain", "day8") # Chronique et Explosif
    ev_day10 = Event("day10", Main, 1, "weekday_morning", "totaldays >= 10 and day10 == False") # Cool Characters on the School Roof
    ev_day11 = Event("day11", Main, 1, "weekday_morning", "totaldays >= 11 and day11 == False") # Secret Surrigate Sister Talk
    ev_day14 = Event("day14", Main, 1, "weekend_night", "totaldays >= 14 and day11 == True and day14 == False") # Trains and Destinations
    ev_day15 = Event("day15", Main, 1, "weekday_morning", "totaldays >= 15 and spudgeevent1 == True and day15 == False") # Bleeping Bleepers
    ev_day18 = Event("day18", Main, 1, "weekday_morning", "totaldays >= 18 and day == 4 and day15 == True and day18 == False") # Animal on the Court
    ev_day19 = Event("day19", Main, 1, "weekday_morning", "totaldays >= 19 and day == 5 and day18 == True and day19 == False") # Food and Friendship
    ev_day23 = Event("day23", Main, 1, "weekday_morning", "totaldays >= 23 and kiocafe1 == True and day23 == False") # Club Activities Pt I
    ev_day24 = Event("day24", Main, 1, "weekday_morning", "totaldays >= 24 and kiocafe1 == True and day24 == False", miss_preq = "kiocafe1 == True and kiohandjob == False") # If we Both Enjoy It...
    ev_day29 = Event("day29", Main, 1, "weekday_morning", "totaldays >= 29 and day == 1 and morihotel2 == True and bookstorenokana2 == True and torasalon2 == True and aniigym1 == True and erukacity1 == True and day29 == False") # Fish and Religion
    ev_day30 = Event("day30", Main, 1, "weekday_morning", "totaldays >= 30 and day == 2 and day29 == True and day30 == False") # Forced Traditions
    ev_day31 = Event("day31", Main, 1, "weekday_morning", "totaldays >= 31 and day == 3 and day30 == True and day31 == False") # War Council
    ev_day32 = Event("day32", Main, 1, "weekday_morning", "totaldays >= 32 and day == 4 and day31 == True and day32 == False") # Losing Things in Lockers
    ev_festival1 = Event("festival1", Main, 1, "weekday_morning", "totaldays >= 33 and day == 5 and day32 == True and festival1 == False") # The Fastest Forming Friendship
    ev_festival2 = Event("festival2", Main, 1, "chain", "festival1") # Nerds Stick Together and Kiss Sometimes
    ev_festival3 = Event("festival3", Main, 1, "chain", "festival2") # Doodle!
    ev_festival4 = Event("festival4", Main, 1, "chain", "festival3") # Four Teen Girls and their Teacher Walk into a Spa...
    ev_festival5 = Event("festival5", Main, 1, "chain", "festival4") # Introducing: Anii Mai
    ev_festival6 = Event("festival6", Main, 1, "chain", "festival5") # The Most Difficult Decision a Man Could Make
    ev_festival7 = Event("festival7", Main, 1, "chain", "festival6") # Realistic Looking Unrealistic Prizes
    ev_festival8 = Event("festival8", Main, 1, "chain", "festival7") # The Smallest One
    ev_day35 = Event("day35", Main, 1, "chain", "dream1") # No Rest
    ev_day36 = Event("day36", Main, 1, "weekday_morning", "totaldays >= 36 and festival4 == True and day36 == False", miss_preq = "festival4 == True and hanapervert == False") # Club Activities Pt II
    ev_day43 = Event("day43", Main, 1, "weekday_morning", "totaldays >= 43 and day35 == True and day43 == False") # Order, Discipline and Seating Plans
    ev_day44 = Event("day44", Main, 1, "weekday_morning", "totaldays >= 44 and day43 == True and day44 == False") # All Eleven Of Us
    ev_day46 = Event("day46", Main, 1, "weekday_morning", "totaldays >= 46 and day == 4 and aniicr2 == True and day44 == True and day46 == False") # Changing Room Conundrums
    ev_day47 = Event("day47", Main, 1, "weekday_morning", "totaldays >= 47 and day46 == True and lightevent1 == True and day47 == False") # The Girl in the Park with the Dog Allergy
    ev_day50 = Event("day50", Main, 1, "weekday_morning", "totaldays >= 50 and day47 == True and day50 == False") # Discussing Discoveries
    ev_day51 = Event("day51", Main, 1, "weekday_morning", "totaldays >= 51 and day50 == True and tulitrack2 == True and aniicr3 == True and day51 == False") # Garden Gloves
    ev_day54 = Event("day54", Main, 1, "weekday_morning", "totaldays >= 54 and day == 5 and day51 == True and day54 == False") # Kareoke and the Depths of Hell
    ev_day57 = Event("day57", Main, 1, "weekday_morning", "totaldays >= 57 and day54 == True and dream2 == True and erukacity3 == True and day57 == False") # Awaited Breaths and Broken Allegiances
    ev_day58 = Event("day58", Main, 1, "weekday_morning", "totaldays >= 58 and day57 == True and day58 == False") # Hugs!
    ev_day59 = Event("day59", Main, 1, "weekday_morning", "totaldays >= 59 and day58 == True and day59 == False") # Awkward Anatomies
    ev_day60 = Event("day60", Main, 1, "weekday_morning", "totaldays >= 60 and day == 4 and day59 == True and day60 == False") # Names on a Backboard
    ev_datenight1 = Event("datenight1", Main, 1, "sat_night", "day60 == True and tamidate1 == True and toracr4 == True and day == 6 and datenight1 == False") # Wine and Dine...
    ev_datenight2 = Event("datenight2", Main, 1, "chain", "datenight1", miss_preq = "datenight1 == True and tamisex == False") # ...Back to Mine
    ev_day64 = Event("day64", Main, 1, "weekday_morning", "totaldays >= 64 and day == 1 and soraplaza2 == True and day64 == False") # Wanasha Full Of Worry
    ev_day65 = Event("day65", Main, 1, "weekday_morning", "totaldays >= 65 and day64 == True and day65 == False") # If a Strong Gust of Wind Flew By...
    ev_day66 = Event("day66", Main, 1, "weekday_morning", "totaldays >= 66 and day65 == True and day66 == False") # The Three A's
    ev_day68 = Event("day68", Main, 1, "weekday_morning", "totaldays >= 68 and day66 == True and okicr5 == True and day68 == False") # Ideas for Sensei
    ev_day69 = Event("day69", Main, 1, "weekday_morning", "totaldays >= 69 and day68 == True and hanabc1 == True and day69 == False") # Christian the Stowaway Fox
    ev_day72 = Event("day72", Main, 1, "weekday_morning", "totaldays >= 72 and day69 == True and day72 == False") # Three Intellectuals and a Lunch Lady
    ev_day73 = Event("day73", Main, 1, "weekday_morning", "totaldays >= 73 and day72 == True and dayaiphaigon3 == True and day73 == False") # Favourite Breakfast
    ev_day74 = Event("day74", Main, 1, "weekday_morning", "totaldays >= 74 and day73 == True and erukatutor3 == True and morihotel4 == True and day74 == False") # Bento Boxes, Hand Holding and Other Things
    ev_day76 = Event("day76", Main, 1, "weekday_morning", "totaldays >= 76 and day == 5 and day74 == True and day76 == False") # Party Planners
    ev_day77 = Event("day77", Main, 1, "chapter_end", "sat_morning, hanapervert : hanafinger1 / hanabc1 - kiohandjob : kiofinger1 / kiotutor2, totaldays >= 77 and day76 == True and aniigym4 == True and diceevent1 == True and bookstorenirima3 == True and sorasleepover == True and christmas12 == False and day == 6") # Four Teen Girls and their Teacher Travel to Okakri
    ev_tochaptertwo = Event("tochaptertwo", Main, 1, "chain", "day77") # Comforting Entropy
    ev_dcre1 = Event("dcre1", Main, 1, "common_room", "day9 == True and dcre1 == False") # Two Questions and a Whisper
    ev_dcre2 = Event("dcre2", Main, 1, "common_room", "dcre1 == True and dcre2 == False") # No Cake for Janu
    ev_dcre3 = Event("dcre3", Main, 1, "common_room", "day15 == True and dcre2 == True and dcre3 == False") # Soups On
    ev_dcre4 = Event("dcre4", Main, 1, "common_room", "day51 == True and nirimacr3 == True and dcre3 == True and dcre4 == False") # Visual Novels in a Visual Novel
    ev_dcre5 = Event("dcre5", Main, 1, "dorm_room", "day64 == True and kiocafe3 == True and dcre4 == True and dcre5 == False") # Dorm Room Renovation Pt I
    ev_dcre6 = Event("dcre6", Main, 1, "dorm_room", "dcre5 == True and dcre6 == False") # Dorm Room Renovation Pt II
    ev_christmas1 = Event("christmas1", Main, 2, "chain", "tochaptertwo") # My Two Favourite Things
    ev_christmas2 = Event("christmas2", Main, 2, "chain", "christmas1") # The Gang's Back Together
    ev_christmas3 = Event("christmas3", Main, 2, "chain", "christmas2") # Me, But Not Me, But Me
    ev_christmas4 = Event("christmas4", Main, 2, "chain", "christmas3") # A Sensei's First Day...of the Season
    ev_christmas5 = Event("christmas5", Main, 2, "chain", "christmas4") # Matrix Porn Actor
    ev_christmas6 = Event("christmas6", Main, 2, "chain", "christmas5") # Pillow Talk
    ev_christmas7 = Event("christmas7", Main, 2, "chain", "christmas6") # Frank The Snowman
    ev_christmas8 = Event("christmas8", Main, 2, "chain", "christmas7") # Crystallized Tears
    ev_christmas9 = Event("christmas9", Main, 2, "chain", "christmas8") # A Night of Snow and Sorrow
    ev_christmas10 = Event("christmas10", Main, 2, "chain", "christmas9") # Usagi's Day Off Pt I
    ev_christmas11 = Event("christmas11", Main, 2, "chain", "christmas10") # Usagi's Day Off Pt II
    ev_christmas12 = Event("christmas12", Main, 2, "chain", "christmas11") # Usagi's Day Off Pt III
    ev_day121 = Event("day121", Main, 2, "weekday_morning", "totaldays >= 121 and day == 1 and nirimacr5 == True and wendystaff1 == True and day121 == False") # Perfect Timing for Tangents
    ev_day122 = Event("day122", Main, 2, "weekday_morning", "totaldays >= 122 and day == 2 and day121 == True and day122 == False") # Usagi Warriors
    ev_day123 = Event("day123", Main, 2, "weekday_morning", "totaldays >= 123 and day == 3 and day122 == True and day123 == False") # Studious Teen Secretary
    ev_day125 = Event("day125", Main, 2, "weekday_morning", "totaldays >= 125 and day == 5 and day123 == True and day125 == False") # Fridays Are For Ramen
    ev_day128 = Event("day128", Main, 2, "weekday_morning", "totaldays >= 128 and day125 == True and day128 == False") # Nerd Wars
    ev_day131 = Event("day131", Main, 2, "weekday_morning", "totaldays >= 131 and day == 4 and day128 == True and day131 == False") # We Don't Talk About the Pool Incident
    ev_day135 = Event("day135", Main, 2, "weekday_morning", "totaldays >= 135 and day == 1 and chinakaclub2 == True and junacouch == True and bookstorenirima5 == True and tulitutor3 == True and zenakitchen2 == True and day135 == False") # Benji the Ex-Stowaway Fox
    ev_day136 = Event("day136", Main, 2, "weekday_morning", "totaldays >= 136 and day135 == True and day136 == False") # A Veil That's Ever So Thin
    ev_day137 = Event("day137", Main, 2, "weekday_morning", "totaldays >= 137 and day136 == True and day137 == False") # Gifting on a Budget
    ev_day138 = Event("day138", Main, 2, "weekday_morning", "totaldays >= 138 and day137 == True and day138 == False") # Panic With The Transfer
    ev_day139 = Event("day139", Main, 2, "weekday_morning", "totaldays >= 139 and day138 == True and day139 == False") # Another Kareoke Event
    ev_winterfestival1 = Event("winterfestival1", Main, 2, "sat_morning", "totaldays >= 140 and day139 == True and winterfestival1 == False") # Dayai Day
    ev_winterfestival2 = Event("winterfestival2", Main, 2, "chain", "winterfestival1") # Girls Night In
    ev_winterfestival3 = Event("winterfestival3", Main, 2, "chain", "winterfestival2") # Pillow Talk II
    ev_winterfestival4 = Event("winterfestival4", Main, 2, "chain", "winterfestival3") # Chinaka’s Surprise Storytime
    ev_winterfestival5 = Event("winterfestival5", Main, 2, "chain", "winterfestival4") # Temporal Massage
    ev_winterfestival6 = Event("winterfestival6", Main, 2, "chain", "winterfestival5") # Stalls, Yukatas and the Occasional Student
    ev_winterfestival7 = Event("winterfestival7", Main, 2, "chain", "winterfestival6") # Tsundere Shooters
    ev_winterfestival8 = Event("winterfestival8", Main, 2, "chain", "winterfestival7") # For My Soul To Seperate
    ev_winterfestival9 = Event("winterfestival9", Main, 2, "chain", "winterfestival8") # Explosions In The Sky
    ev_day156 = Event("day156", Main, 2, "weekday_morning", "totaldays >= 156 and day == 1 and winterfestival9 == True and erukadate4 == True and lightevent5 == True and ominamorning3 == True and tamisalon3 == True and day156 == False") # The Harem King
    ev_theusagiproblem1 = Event("theusagiproblem1", Main, 2, "chain", "day156") # The Usagi Problem Pt I
    ev_theusagiproblem2 = Event("theusagiproblem2", Main, 2, "chain", "theusagiproblem1") # The Usagi Problem Pt II
    ev_theusagiproblem3 = Event("theusagiproblem3", Main, 2, "chain", "theusagiproblem2") # The Usagi Problem Pt III
    ev_day158 = Event("day158", Main, 2, "weekday_morning", "totaldays >= 158 and day == 3 and day156 == True and day158 == False") # Nothing According To Plan
    ev_eventfulfriday1 = Event("eventfulfriday1", Main, 2, "weekday_morning", "totaldays >= 160 and day == 5 and day158 == True and eventfulfriday1 == False") # Everything Is Okay
    ev_eventfulfriday2 = Event("eventfulfriday2", Main, 2, "chain", "eventfulfriday1") # Beautiful Hue of Orange
    ev_eventfulfriday3 = Event("eventfulfriday3", Main, 2, "chain", "eventfulfriday2") # Teacher x Teacher
    ev_day163 = Event("day163", Main, 2, "weekday_morning", "totaldays >= 163 and dcre7 == True and day163 == False") # Okinawa Trip Plan
    ev_day164 = Event("day164", Main, 2, "weekday_morning", "totaldays >= 164 and day163 == True and day164 == False") # Sugar-Sensei
    ev_day167 = Event("day167", Main, 2, "weekday_morning", "totaldays >= 167 and day == 4 and day164 == True and bookstorenokana6 == True and day167 == False") # Pre-trip Bikini Swimsuit Pageant thing
    ev_afterpageant1 = Event("afterpageant1", Main, 2, "chain", "day167") # Everything and Nothing
    ev_afterpageant2 = Event("afterpageant2", Main, 2, "chain", "afterpageant1") # Who I Miss
    ev_day172 = Event("day172", Main, 2, "weekday_morning", "totaldays >= 172 and day == 2 and linadate2 == True and ronidate2 == True and ryudate2 == True and day167 == True and (hanadate1 == True or hanapervert == False) and day172 == False") # Crowded Claustrophobia
    ev_otherworld1 = Event("otherworld1", Main, 2, "chain", "day172") # Everlasting Mystery
    ev_okinawa1 = Event("okinawa1", Main, 2, "chain", "otherworld1") # If My Arms Had Wings
    ev_okinawa2 = Event("okinawa2", Main, 2, "chain", "okinawa1") # The Color of the Sunset
    ev_okinawa3 = Event("okinawa3", Main, 2, "chain", "okinawa2") # Showering, And Nothing Else
    ev_okinawa4 = Event("okinawa4", Main, 2, "chain", "okinawa3") # Best Breakfast Table
    ev_okinawa5 = Event("okinawa5", Main, 2, "chain", "okinawa4") # Watermelon Body Poppin’ Battle
    ev_okinawa6 = Event("okinawa6", Main, 2, "chain", "okinawa5") # Retracting Tide
    ev_okinawa7 = Event("okinawa7", Main, 2, "chain", "okinawa6") # The Epitome of Alone
    ev_okinawa8 = Event("okinawa8", Main, 2, "chain", "okinawa7") # Cheers To Them/Murder Mystery
    ev_okinawa9 = Event("okinawa9", Main, 2, "chain", "okinawa8") # Room Service
    ev_okinawa10 = Event("okinawa10", Main, 2, "chain", "okinawa9") # Unspoken Rizz
    ev_okinawa11 = Event("okinawa11", Main, 2, "chain", "okinawa10") # Sandler Stans
    ev_okinawa12 = Event("okinawa12", Main, 2, "chain", "okinawa11") # The Abnormal and Abnormality
    ev_okinawa13 = Event("okinawa13", Main, 2, "chain", "okinawa12") # To The End Of The Earth
    ev_okinawa14 = Event("okinawa14", Main, 2, "chain", "okinawa13") # Music, When Soft Voices Die
    ev_okinawa15 = Event("okinawa15", Main, 2, "chain", "okinawa14") # Saliva-fueled Departure
    ev_dcre7 = Event("dcre7", Main, 2, "common_room", "eventfulfriday3 == True and dcre7 == False") # Different Forms of Wrestling
    ev_dcre8 = Event("dcre8", Main, 2, "common_room", "dcre7 == True and dcre8 == False") # To feel Good, then Great, then Amazing, then Nothing
    ev_day192 = Event("day192", Main, 2, "weekday_morning", "totaldays >= 192 and junadate2 == True and day192 == False") # Hot Cocoa
    ev_day192p2 = Event("day192p2", Main, 2, "chain", "day192") # Pump and Dump
    ev_day192p3 = Event("day192p3", Main, 2, "chain", "day192p2", miss_preq = "holdmeclose == False and christmas1 == True") # The Musical Failure
    ev_day193 = Event("day193", Main, 2, "weekday_morning", "totaldays >= 193 and day192p2 == True and day193 == False") # Planning to Party like Pornstars
    ev_gradparty1 = Event("gradparty1", Main, 2, "chain", "day193") # Beauty School
    ev_gradparty2 = Event("gradparty2", Main, 2, "chain", "gradparty1") # Chanasaka Bang-Bang
    ev_gradparty3 = Event("gradparty3", Main, 2, "chain", "gradparty2") # Jhizonyu's Finest
    ev_gradparty4 = Event("gradparty4", Main, 2, "chain", "gradparty3") # Midnight Sky, Beyond My Reach
    ev_tochapterthree = Event("tochapterthree", Main, 2, "chain", "gradparty4") # Can't Tell You To Go, Can't Tell You To Stay...
    ev_class1b1 = Event("class1b1", Main, 3, "chain", "tochapterthree") # ...Just One Of Those Days
    ev_class1b2 = Event("class1b2", Main, 3, "chain", "class1b1") # Out With The Old
    ev_class1b3 = Event("class1b3", Main, 3, "chain", "class1b2") # Student Ten: Mister Pi
    ev_class1b4 = Event("class1b4", Main, 3, "chain", "class1b3") # Sensei on the Line
    ev_class1b5 = Event("class1b5", Main, 3, "chain", "class1b4") # Hipster La Hipster
    ev_class1b6 = Event("class1b6", Main, 3, "chain", "class1b5") # Back-Scratchers
    ev_class1b7 = Event("class1b7", Main, 3, "chain", "class1b6") # Yet Another Kareoke Event
    ev_class1b8 = Event("class1b8", Main, 3, "chain", "class1b7") # Eau De Personality/It's Only Roleplay
    ev_class1b9 = Event("class1b9", Main, 3, "chain", "class1b8") # A Page Tear From The Book Called 'Vulnerability'
    ev_class1b10 = Event("class1b10", Main, 3, "chain", "class1b9") # Butterfly Algae

    # DREAM
    ev_dream1 = Event("dream1", Dream, 1, "chain", "festival8") # M.o.M (Dayai)
    ev_dream2 = Event("dream2", Dream, 1, "dream", "torasalon3 == True and day54 == True and dream2 == False") # The Kingdom's Chosen One (Tora)
    ev_dream3 = Event("dream3", Dream, 1, "dream", "kiocafe3 == True and dream3 == False") # Keys For My Comfort (Kio)
    ev_dream4 = Event("dream4", Dream, 1, "dream", "erukacr3 == True and dream4 == False") # The Perfect Day (Eruka)
    ev_dream5 = Event("dream5", Dream, 2, "dream", "tulitrack3 == True and bookstorenirima4 == True and dream5 == False") # Winter Skies and Butterflies (Tuli)
    ev_dream6 = Event("dream6", Dream, 2, "chain", "morialley") # Dreamscape
    ev_dream7 = Event("dream7", Dream, 2, "chain", "sorasleepover2") # The Brother and The Sister (Sora)

    # LIGHT
    ev_lightevent1 = Event("lightevent1", Light, 1, "light", "dayaicr2 == True and lightevent1 == False, Take a nap.") # No Strings Attached
    ev_lightevent2 = Event("lightevent2", Light, 1, "light", "day60 == True and lightevent2 == False, Call Dayai in the afternoon.") # You Be Her, and I'll Be You
    ev_lightevent3 = Event("lightevent3", Light, 1, "light", "okicr5 == True and lightevent2 == True and lightevent3 == False, Take a nap.") # Endless Torture
    ev_lightevent4 = Event("lightevent4", Light, 2, "light", "day131 == True and junahair == True and lightevent4 == False, Call Valda.") # Stuck on Replay
    ev_lightevent5 = Event("lightevent5", Light, 2, "light", "winterfestival9 == True and lightevent5 == False, Call Dayai.") # Sensei, Overnight!
    ev_lightevent6 = Event("lightevent6", Light, 2, "light", "holdmeclose == False and dayaidate2 == True and moricr5 == True and lightevent6 == False, Take a nap.") # The Universe Sings To Me

    # ANII
    ev_aniitutor1 = Event("aniitutor1", Anii, 1, "tutor", "aniitutor1 == False and janu_compassion >= 15") # What's a Trinidad?
    ev_aniicr1 = Event("aniicr1", Anii, 1, "common_room", "aniicr1 == False and janu_compassion >= 15") # Keeping Count
    ev_aniigym1 = Event("aniigym1", Anii, 1, "work", "kiocafe1 == True and aniitutor1 == True and aniigym1 == False and janu_compassion >= 25") # A First Time for Everything
    ev_aniicr2 = Event("aniicr2", Anii, 1, "common_room", "day35 == True and aniicr1 == True and aniicr2 == False and janu_compassion >= 60") # Fourty...Fourty-five...
    ev_aniitutor2 = Event("aniitutor2", Anii, 1, "tutor", "day35 == True and aniitutor2 == False and janu_compassion >= 65") # The Cock and Hen Program
    ev_aniicr3 = Event("aniicr3", Anii, 1, "common_room", "aniicr2 == True and aniitutor2 == True and aniicr3 == False and janu_compassion >= 70") # Kami Sitara
    ev_aniigym2 = Event("aniigym2", Anii, 1, "work", "aniicr3 == True and aniigym2 == False and janu_compassion >= 75") # Motorbike
    ev_aniicr4 = Event("aniicr4", Anii, 1, "common_room", "aniigym2 == True and day64 == True and bookstorenirima3 == True and aniicr4 == False") # Just Shy of Five
    ev_aniigym3 = Event("aniigym3", Anii, 1, "work", "aniicr4 == True and shoppingtrip == True and aniigym3 == False") # 30K
    ev_aniitutor3 = Event("aniitutor3", Anii, 1, "tutor", "aniigym3 == True and aniitutor3 == False") # Pretty Feelings
    ev_aniigym4 = Event("aniigym4", Anii, 1, "work", "aniitutor3 == True and aniigym4 == False") # Pretty Bleeping Hard
    ev_aniigym5 = Event("aniigym5", Anii, 2, "work", "okinawa15 == True and aniigym5 == False") # Shortstacks
    ev_aniigym6 = Event("aniigym6", Anii, 2, "chain", "aniigym5") # The Other Girls
    ev_aniigym7 = Event("aniigym7", Anii, 2, "work", "aniigym6 == True and aniigym7 == False") # Hold-Job

    # CHINAKA
    ev_chinakacr1 = Event("chinakacr1", Chinaka, 2, "common_room", "chinakacr1 == False") # Above/Below Average
    ev_chinakaclub1 = Event("chinakaclub1", Chinaka, 2, "work", "day128 == True and chinakacr1 == True and chinakaclub1 == False") # Nightclub Stripclub
    ev_chinakacr2 = Event("chinakacr2", Chinaka, 2, "common_room", "chinakaclub1 == True and chinakacr2 == False") # Studious Teen Cosplayer
    ev_chinakaclub2 = Event("chinakaclub2", Chinaka, 2, "work", "chinakacr2 == True and chinakaclub2 == False") # A Crash Course in Hospitality

    # DAYAI
    ev_dayaitutor1 = Event("dayaitutor1", Dayai, 1, "tutor", "dayaitutor1 == False and janu_compassion >= 15") # Friend-zoned
    ev_dayaicr1 = Event("dayaicr1", Dayai, 1, "common_room", "dayaicr1 == False and janu_compassion >= 15") # Lost Again
    ev_dayaihome1 = Event("dayaihome1", Dayai, 1, "work", "day35 == True and dayaitutor1 == True and dayaicr1 == True and dayaihome1 == False and janu_compassion >= 60") # Hay Fever
    ev_dayaitutor2 = Event("dayaitutor2", Dayai, 1, "tutor", "dayaihome1 == True and dayaitutor2 == False and janu_compassion >= 65") # Simple and Compound Interest
    ev_dayaicr2 = Event("dayaicr2", Dayai, 1, "common_room", "dayaitutor2 == True and dayaicr2 == False and janu_compassion >= 70") # Everyone Loves Mori
    ev_dayaihome2 = Event("dayaihome2", Dayai, 1, "morning", "lightevent1 == True and dayaihome2 == False") # Caretaker
    ev_dayaitutor3 = Event("dayaitutor3", Dayai, 1, "tutor", "day64 == True and dcre6 == True and lightevent3 == True and dayaitutor3 == False") # Forever Unprepared
    ev_dayaiphaigon1 = Event("dayaiphaigon1", Dayai, 1, "sat_morning", "dayaitutor3 == True and dayaiphaigon1 == False") # The Beach That Doesn't Belong
    ev_dayaiphaigon2 = Event("dayaiphaigon2", Dayai, 1, "chain", "dayaiphaigon1") # Desolate Erosion
    ev_dayaiphaigon3 = Event("dayaiphaigon3", Dayai, 1, "chain", "dayaiphaigon2") # The Bridge That Connects What Once Was...
    ev_dayaitutor4 = Event("dayaitutor4", Dayai, 2, "tutor", "okinawa15 == True and dayaitutor4 == False") # Forever Kind-of Prepared
    ev_dayaidate1 = Event("dayaidate1", Dayai, 2, "sat_night", "day == 6 and dayaitutor4 == True and moricr5 == True and dayaidate1 == False") # The Influencer Spot
    ev_dayaidate2 = Event("dayaidate2", Dayai, 2, "chain", "dayaidate1") # Something Light To End The Night

    # DICE
    ev_diceevent1 = Event("diceevent1", Dice, 1, "work", "diceevent1 == False") # Internet Explorer
    ev_diceevent2 = Event("diceevent2", Dice, 2, "work", "winterfestival9 == True and diceevent2 == False") # Rebellious Cock

    # ERUKA
    ev_erukatutor1 = Event("erukatutor1", Eruka, 1, "tutor", "erukatutor1 == False and janu_compassion >= 15") # Cats and Cute Girls
    ev_erukacr1 = Event("erukacr1", Eruka, 1, "common_room", "erukacr1 == False and janu_compassion >= 15") # Leaving the Stone on
    ev_erukacity1 = Event("erukacity1", Eruka, 1, "work", "kiocafe1 == True and erukacity1 == False and janu_compassion >= 25") # A Date for Janu
    ev_erukacr2 = Event("erukacr2", Eruka, 1, "common_room", "erukacr1 == True and erukatutor1 == True and erukacity1 == True and day35 == True and erukacr2 == False and janu_compassion >= 60") # Baby Steps
    ev_erukacity2 = Event("erukacity2", Eruka, 1, "work", "erukacr2 == True and erukacity2 == False and janu_compassion >= 65") # Escort Services
    ev_erukatutor2 = Event("erukatutor2", Eruka, 1, "tutor", "day51 == True and erukacity2 == True and erukatutor2 == False and janu_compassion >= 70") # It's a Date!
    ev_erukacity3 = Event("erukacity3", Eruka, 1, "work", "erukatutor2 == True and erukacity3 == False and janu_compassion >= 75") # A Night Out in Okakri
    ev_erukacity4 = Event("erukacity4", Eruka, 1, "work", "okicr5 == True and dcre5 == True and erukacity4 == False") # Sake For My Sorrows
    ev_erukacr3 = Event("erukacr3", Eruka, 1, "common_room", "erukacity4 == True and erukacr3 == False") # Pyro Hallucinations
    ev_erukatutor3 = Event("erukatutor3", Eruka, 1, "tutor", "dream4 == True and erukatutor3 == False") # Can of Worms
    ev_erukanumber = Event("erukanumber", Eruka, 2, "weekday_morning", "kiosr1 == True and ominamorning3 == True and erukanumber == False") # Untitled Eruka Event
    ev_erukadate1 = Event("erukadate1", Eruka, 2, "date_morning", "day == 6 and erukanumber == True and kiosr1 == True and ominamorning3 == True and erukadate1 == False") # One-of-a-kind Item
    ev_erukadate2 = Event("erukadate2", Eruka, 2, "chain", "erukadate1") # Capybara (Ok I Pull Up)
    ev_erukadate3 = Event("erukadate3", Eruka, 2, "chain", "erukadate2") # You and I
    ev_erukadate4 = Event("erukadate4", Eruka, 2, "chain", "erukadate3") # Malva

    # HANA
    ev_hanabc1 = Event("hanabc1", Hana, 1, "work", "day51 == True and hanabc1 == False and janu_compassion >= 60") # What's and Why's
    ev_hanabc2 = Event("hanabc2", Hana, 1, "work", "hanapervert == True and hanabc1 == True and hanabc2 == False and janu_compassion >= 65", miss_preq = "festival4 == True and hanapervert == False") # Playing With Fire
    ev_hanafinger1 = Event("hanafinger1", Hana, 1, "weekday_morning", "hana_desire >= 3 and janu_desire >= 16 and hanafinger1 == False", miss_preq = "hanapervert == False and day35 == True") # Hypothetical Questions
    ev_hanamaster1 = Event("hanamaster1", Hana, 2, "chain", "christmas7", miss_preq = "hanapervert == False and day35 == True") # Theory Testing
    ev_hanabc3 = Event("hanabc3", Hana, 2, "work", "winterfestival9 == True and hanabc3 == False") # Teenage Poop Theory
    ev_hanadate1 = Event("hanadate1", Hana, 2, "date_night", "hanapervert == True and hanabc3 == True and hanadate1 == False", miss_preq = "festival4 == True and hanapervert == False") # Bricklayers Arms
    ev_hanasex1 = Event("hanasex1", Hana, 2, "chain", "okinawa11", miss_preq = "hanapervert == False and day35 == True") # It:s All Led to This...

    # JUNA
    ev_junacr1 = Event("junacr1", Juna, 2, "common_room", "junacr1 == False") # Banana Milkshake
    ev_junatutor1 = Event("junatutor1", Juna, 2, "tutor", "junatutor1 == False") # Telepathic Liar
    ev_junahair = Event("junahair", Juna, 2, "sat_afternoon", "junacr1 == True and junatutor1 == True and junahair == False") # Still a Teenager
    ev_junacouch = Event("junacouch", Juna, 2, "chain", "lightevent4") # The Sad Couch
    ev_junatrain = Event("junatrain", Juna, 2, "chain", "okigarden5") # A World Between Worlds
    ev_junadate1 = Event("junadate1", Juna, 2, "sat_afternoon", "aniigym7 == True and dayaidate2 == True and junatrain == True and morialley == True and sorasleepover3 == True and toracr5 == True and zenasleepover1 == True and junadate1 == False") # To Do Everything in a Day
    ev_junadate2 = Event("junadate2", Juna, 2, "chain", "junadate1") # Farewell, Juna Usagi

    # KIO
    ev_kiotutor1 = Event("kiotutor1", Kio, 1, "tutor", "kiotutor1 == False and janu_compassion >= 15") # The Chillest of Memers
    ev_kiocr1 = Event("kiocr1", Kio, 1, "common_room", "kiotutor1 == True and kiocr1 == False and janu_compassion >= 15") # Real Self
    ev_kiocafe1 = Event("kiocafe1", Kio, 1, "work", "kiocr1 == True and kiocafe1 == False and janu_compassion >= 25") # Blazers
    ev_kiobjevent1 = Event("kiobjevent1", Kio, 1, "work2", "kiohandjob == True and kiobjevent1 == False and janu_desire >= 6 and kio_desire >= 3", miss_preq = "kiocafe1 == True and kiohandjob == False") # Test Dummy
    ev_kiocafe2 = Event("kiocafe2", Kio, 1, "work", "day57 == True and kiocafe2 == False") # Capitalist Coffee
    ev_kiocr2 = Event("kiocr2", Kio, 1, "common_room", "kiocafe2 == True and kiocr2 == False") # Spongebob's Sponge Knob
    ev_kiocafe3 = Event("kiocafe3", Kio, 1, "work", "kiocr2 == True and datenight1 == True and kiocafe3 == False") # Dumb Girl Stuff
    ev_kiotutor2 = Event("kiotutor2", Kio, 1, "tutor", "dream3 == True and (kiobjevent1 == True or kiohandjob == False) and kiotutor2 == False") # Fingering a Piano
    ev_kiofinger1 = Event("kiofinger1", Kio, 1, "weekday_morning", "kio_desire >= 6 and janu_desire >= 20 and kiotutor2 == True and morihotel4 == True and dcre6 == True and kiofinger1 == False", miss_preq = "kiocafe1 == True and kiohandjob == False") # Fingering on a Piano
    ev_kiosr1 = Event("kiosr1", Kio, 2, "study_room", "christmas12 == True and kiosr1 == False") # Variables and Constan(t)s
    ev_kiosr2 = Event("kiosr2", Kio, 2, "chain", "kiosr1", miss_preq = "kiocafe1 == True and kiohandjob == False") # Green Light

    # LINA
    ev_linadate1 = Event("linadate1", Lina, 2, "date_afternoon", "zenakitchen1 == True and linadate1 == False") # Flushed on Cheap Dates
    ev_linadate2 = Event("linadate2", Lina, 2, "date_afternoon", "linadate1 == True and linadate2 == False") # Gutter Trash

    # MORI
    ev_moricr1 = Event("moricr1", Mori, 1, "common_room", "moricr1 == False and janu_compassion >= 15") # Joker
    ev_morihotel1 = Event("morihotel1", Mori, 1, "work", "moricr1 == True and morihotel1 == False and janu_compassion >= 25") # Identities
    ev_moricr2 = Event("moricr2", Mori, 1, "common_room", "morihotel1 == True and kiocafe1 == True and moricr2 == False and janu_compassion >= 30") # Friends
    ev_morihotel2 = Event("morihotel2", Mori, 1, "work", "moricr2 == True and okicr3 == True and morihotel2 == False and janu_compassion >= 35") # Psycho
    ev_moricr3 = Event("moricr3", Mori, 1, "common_room", "bookstorenokana4 == True and moricr3 == False") # Allergies
    ev_morihotel3 = Event("morihotel3", Mori, 1, "work", "moricr3 == True and morihotel3 == False") # Duet
    ev_moricr4 = Event("moricr4", Mori, 1, "common_room", "morihotel3 == True and moricr4 == False") # Detectives
    ev_morihotel4 = Event("morihotel4", Mori, 1, "work", "moricr4 == True and spudgeevent2 == True and morihotel4 == False") # Sushi
    ev_morihotel5 = Event("morihotel5", Mori, 2, "work", "christmas12 == True and okinawa15 == True and morihotel5 == False") # Cactus
    ev_moricr5 = Event("moricr5", Mori, 2, "common_room", "day == 4 and morihotel5 == True and moricr5 == False") # Repudiate
    ev_morialley = Event("morialley", Mori, 2, "chain", "lightevent6")  # Omniscience

    # NIRIMA
    ev_nirimacr1 = Event("nirimacr1", Nirima, 1, "common_room", "nirimacr1 == False and janu_compassion >= 15") # Point Scoring
    ev_bookstorenirima1 = Event("bookstorenirima1", Nirima, 1, "work", "kiocafe1 == True and bookstorenirima1 == False and janu_compassion >= 25") # Avid Reader
    ev_nirimacr2 = Event("nirimacr2", Nirima, 1, "common_room", "day35 == True and nirimacr1 == True and nirimacr2 == False and janu_compassion >= 60") # Nirima's Third Event
    ev_bookstorenirima2 = Event("bookstorenirima2", Nirima, 1, "work", "nirimacr2 == True and bookstorenirima2 == False and janu_compassion >= 65") # Everything is Boring
    ev_nirimacr3 = Event("nirimacr3", Nirima, 1, "common_room", "bookstorenirima2 == True and nirimacr3 == False and janu_compassion >= 70") # Stalemate
    ev_bookstorenirima3 = Event("bookstorenirima3", Nirima, 1, "work", "nirimacr3 == True and bookstorenirima3 == False and janu_compassion >= 75") # Luck of the Cards
    ev_nirimacr4 = Event("nirimacr4", Nirima, 2, "common_room", "nirimacr4 == False") # Technophobes
    ev_bookstorenirima4 = Event("bookstorenirima4", Nirima, 2, "work", "nirimacr4 == True and tulicr3 == True and bookstorenirima4 == False") # Lay Your Hands On My Shoulders
    ev_nirimacr5 = Event("nirimacr5", Nirima, 2, "common_room", "bookstorenirima4 == True and dream5 == True and nirimacr5 == False") # Technophobes
    ev_bookstorenirima5 = Event("bookstorenirima5", Nirima, 2, "work", "nirimacr5 == True and bookstorenirima5 == False") # Unbeknownst Therapeutics

    # NOKANA
    ev_nokanacr1 = Event("nokanacr1", Nokana, 1, "common_room", "nokanacr1 == False and janu_compassion >= 15") # The Queen and the Fool
    ev_bookstorenokana1 = Event("bookstorenokana1", Nokana, 1, "work", "nokanacr1 == True and bookstorenirima1 == True and bookstorenokana1 == False and janu_compassion >= 25") # Book Climbing
    ev_nokanacr2 = Event("nokanacr2", Nokana, 1, "common_room", "bookstorenokana1 == True and nokanacr2 == False and janu_compassion >= 30") # Squirrels and the School System
    ev_bookstorenokana2 = Event("bookstorenokana2", Nokana, 1, "work", "nokanacr2 == True and bookstorenokana2 == False and janu_compassion >= 35") # How to Please a Man
    ev_nokanacr3 = Event("nokanacr3", Nokana, 1, "common_room", "day58 == True and nokanacr3 == False") # An Entity Who Reads
    ev_bookstorenokana3 = Event("bookstorenokana3", Nokana, 1, "work", "nokanacr3 == True and soraplaza1 == True and datenight1 == True and bookstorenokana3 == False") # Parenthood
    ev_shoppingtrip = Event("shoppingtrip", Nokana, 1, "chain", "bookstorenokana3") # Nokana Nomomina’s Total Transformation
    ev_bookstorenokana4 = Event("bookstorenokana4", Nokana, 1, "work", "lightevent2 == True and bookstorenokana3 == True and bookstorenokana4 == False") # The Tardis Law
    ev_nokanacr4 = Event("nokanacr4", Nokana, 2, "common_room", "winterfestival9 == True and hanabc3 == True and nokanacr4 == False") # The Unproven (Proven?) Concept of Miracles
    ev_bookstorenokana5 = Event("bookstorenokana5", Nokana, 2, "work", "nokanacr4 == True and bookstorenokana5 == False") # Wait...Nirima Kabutomushi Can Blush?
    ev_nijibookstore = Event("nijibookstore", Nokana, 2, "chain", "bookstorenokana5") # Rubber Band Ball (Boiling Point)
    ev_bookstorenokana6 = Event("bookstorenokana6", Nokana, 2, "work", "bookstorenokana5 == True and bookstorenokana6 == False") # Cool, Daring and Out There

    # OKI
    ev_okicr1 = Event("okicr1", Oki, 1, "common_room", "okicr1 == False and janu_compassion >= 15") # Oki the Wizard
    ev_okigarden1 = Event("okigarden1", Oki, 1, "work", "okicr1 == True and okigarden1 == False and janu_compassion >= 25") # Garden Spies
    ev_okicr2 = Event("okicr2", Oki, 1, "common_room", "okigarden1 == True and okicr2 == False and janu_compassion >= 30") # Something About Ourselves
    ev_okigarden2 = Event("okigarden2", Oki, 1, "work", "okicr2 == True and kiocafe1 == True and okigarden2 == False and janu_compassion >= 35") # The Shiroiruka Sisters
    ev_okicr3 = Event("okicr3", Oki, 1, "common_room", "okigarden2 == True and okicr3 == False and janu_compassion >= 40") # More Times Than Not...
    ev_okigarden3 = Event("okigarden3", Oki, 1, "work", "day57 == True and okigarden3 == False") # Donut Toss
    ev_okicr4 = Event("okicr4", Oki, 1, "common_room", "okigarden3 == True and okicr4 == False") # The Girl Who Knows a Little Too Much
    ev_okigarden4 = Event("okigarden4", Oki, 1, "work", "okicr4 == True and ominamorning1 == True and okigarden4 == False") # A Dog Bowl and a Dog Collar
    ev_okicr5 = Event("okicr5", Oki, 1, "common_room", "okigarden4 == True and okicr5 == False") # Planes of Existence
    ev_okicr6 = Event("okicr6", Oki, 2, "common_room", "okinawa15 == True and okicr6 == False") # You, Me and Meditation
    ev_okicr7 = Event("okicr7", Oki, 2, "chain", "okicr6") # Using Foresight to Cheat
    ev_okigarden5 = Event("okigarden5", Oki, 2, "work", "okicr7 == True and ominamorning4 == True and okigarden5 == False") # Send Off

    # OMINA
    ev_ominashrine1 = Event("ominashrine1", Omina, 1, "work", "day35 == True and ominashrine1 == False and janu_compassion >= 60") # Making a New Friend
    ev_ominamorning1 = Event("ominamorning1", Omina, 1, "date_morning", "ominashrine1 == True and ominamorning1 == False and janu_compassion >= 65") # Indoor Wind Chimes
    ev_ominamorning2 = Event("ominamorning2", Omina, 2, "date_morning", "winterfestival9 == True and ominamorning2 == False") # For Half to Become Whole
    ev_ominamorning3 = Event("ominamorning3", Omina, 2, "date_morning", "ominamorning2 == True and ominamorning3 == False") # Pussy Enjoyers
    ev_ominamorning4 = Event("ominamorning4", Omina, 2, "date_morning", "okinawa15 == True and ominamorning4 == False") # Frozen Pipes

    # RONI
    ev_ronicr1 = Event("ronicr1", Roni, 1, "common_room", "day66 == True and ronicr1 == False") # Comfort Skulls
    ev_ronistore1 = Event("ronistore1", Roni, 1, "work", "ronistore1 == False") # Ron-Ron
    ev_ronicr2 = Event("ronicr2", Roni, 1, "common_room", "ronistore1 == True and ronicr2 == False") # Persona
    ev_ronistore2 = Event("ronistore2", Roni, 1, "work", "ronicr2 == True and ronistore2 == False") # Every Ex-Bully Needs a Friend
    ev_ronistore3 = Event("ronistore3", Roni, 2, "work", "winterfestival9 == True and ronistore3 == False") # Hip Hop Lessons
    ev_ronicr3 = Event("ronicr3", Roni, 2, "common_room", "winterfestival9 == True and ronistore3 == True and ronicr3 == False") # The Apology Plan
    ev_ronidate1 = Event("ronidate1", Roni, 2, "date_night", "ronicr3 == True and day == 6 and ronidate1 == False") # Hotel Reservation
    ev_ronidate2 = Event("ronidate2", Roni, 2, "sat_morning", "ronidate1 == True and ronidate2 == False") # The Shattered Glass of a Coward's Mirror

    # RYU
    ev_ryudate1 = Event("ryudate1", Ryu, 2, "date_afternoon", "winterfestival9 == True and ryudate1 == False") # Downward Dog
    ev_ryudate2 = Event("ryudate2", Ryu, 2, "date_afternoon", "tamisalon3 == True and ryudate2 == False") # Heterosexual Relationship Street
    ev_ryufinger = Event("ryufinger", Ryu, 2, "chain", "gradparty2") # The Penis Shake

    # SORA
    ev_soracr1 = Event("soracr1", Sora, 1, "common_room", "day58 == True and soracr1 == False") # Shortened Names and Saturated Posters
    ev_soraplaza1 = Event("soraplaza1", Sora, 1, "work", "soraplaza1 == False") # Water, Ramen and Coupons
    ev_soratutor1 = Event("soratutor1", Sora, 1, "tutor", "soracr1 == True and soratutor1 == False") # The Poet and The Stoic
    ev_soraplaza2 = Event("soraplaza2", Sora, 1, "work", "soraplaza1 == True and soratutor1 == True and soraplaza2 == False") # The Impersonator and The Pretender
    ev_soratutor2 = Event("soratutor2", Sora, 1, "tutor", "ronicr2 == True and shoppingtrip == True and soratutor2 == False") # The Disappointment and The Tutor
    ev_soraplaza3 = Event("soraplaza3", Sora, 1, "work", "soratutor2 == True and soraplaza3 == False") # The Politician and The Opinionator
    ev_sorapark = Event("sorapark", Sora, 1, "chain", "soraplaza3") # The Center of X
    ev_sorasleepover = Event("sorasleepover", Sora, 1, "chain", "sorapark") # The Fatigued and the Memory Foam Matress
    ev_soratutor3 = Event("soratutor3", Sora, 2, "tutor", "okinawa15 == True and soratutor3 == False") # The Maestro and The Musician
    ev_sorasleepover2 = Event("sorasleepover2", Sora, 2, "work", "soracr1 == True and soratutor3 == True and sorasleepover2 == False") # The Welcomed Intruder, And His Fatigued Student
    ev_sorasleepover3 = Event("sorasleepover3", Sora, 2, "chain", "dream7") # The Swing Set and the Jungle Gym

    # SPUDGE
    ev_spudgeevent1 = Event("spudgeevent1", Spudge, 1, "work", "spudgeevent1 == False") # Roommates
    ev_spudgeevent2 = Event("spudgeevent2", Spudge, 1, "work", "spudgeevent1 == True and spudgeevent2 == False and janu_compassion >= 20") # Bird Brains
    ev_spudgeevent3 = Event("spudgeevent3", Spudge, 1, "work", "spudgeevent2 == True and day35 == True and spudgeevent3 == False") # The Greatest Race in History
    ev_spudgeevent4 = Event("spudgeevent4", Spudge, 1, "work", "spudgeevent3 == True and day57 == True and dream2 == True and spudgeevent4 == False") # Purpose(?)
    ev_spudgeevent5 = Event("spudgeevent5", Spudge, 2, "work", "diceevent2 == True and spudgeevent5 == False") # The Little Bird With A Lot Of Thoughts

    # TAMI
    ev_tamisalon1 = Event("tamisalon1", Tami, 1, "work", "day35 == True and tamisalon1 == False and janu_compassion >= 60") # Welcome to the Family
    ev_tamidate1 = Event("tamidate1", Tami, 1, "date_morning", "taminumber == True and tamidate1 == False and janu_compassion >= 65") # The Hikikomori Complex
    ev_tamibj1 = Event("tamibj1", Tami, 2, "chain", "christmas5", miss_preq = "tamisex == False and christmas4 == True") # Cleanliness is of the Utmost Importance
    ev_tamisalon2 = Event("tamisalon2", Tami, 2, "date_morning", "winterfestival9 == True and tamisalon2 == False") # The Chura Trilogy
    ev_tamisalon3 = Event("tamisalon3", Tami, 2, "date_morning", "tamisalon2 == True and tamisalon3 == False") # Stress and Sadness
    ev_tamithreesome1 = Event("tamithreesome1", Tami, 2, "chain", "okinawa2", miss_preq = "tamisex == False and tamisalon3 == True" ) # Sandwich Meat

    # TORA
    ev_toracr1 = Event("toracr1", Tora, 1, "common_room", "toracr1 == False and janu_compassion >= 15") # Too Many Tora's
    ev_torasalon1 = Event("torasalon1", Tora, 1, "work", "toracr1 == True and torasalon1 == False and janu_compassion >= 25") # The Jezebel of Jhizonyu
    ev_toracr2 = Event("toracr2", Tora, 1, "common_room", "torasalon1 == True and kiocafe1 == True and toracr2 == False and janu_compassion >= 30") # Special Tongue Dance
    ev_torasalon2 = Event("torasalon2", Tora, 1, "work", "toracr2 == True and torasalon2 == False and janu_compassion >= 35") # Questionable Interests
    ev_toracr3 = Event("toracr3", Tora, 1, "common_room", "day51 == True and toracr3 == False and janu_compassion >= 60") # Heatstroke
    ev_torasalon3 = Event("torasalon3", Tora, 1, "work", "toracr3 == True and torasalon3 == False and janu_compassion >= 65") # The Chura Empire
    ev_toracr4 = Event("toracr4", Tora, 1, "common_room", "torasalon3 == True and toracr4 == False and janu_compassion >= 70") # The Line Inbetween Silliness and Sadness
    ev_torasalon4 = Event("torasalon4", Tora, 2, "work", "dayaitutor4 == True and torasalon4 == False") # Finally Learning the Ropes
    ev_torasalon5 = Event("torasalon5", Tora, 2, "chain", "torasalon4", miss_preq = "hanapervert == False and festival4 == True") # She Sits, Watching the World Crumble Around Her
    ev_toracr5 = Event("toracr5", Tora, 2, "common_room", "torasalon4 == True and toracr5 == False") # Picnic in the Park

    # TULI
    ev_tulitutor1 = Event("tulitutor1", Tuli, 1, "tutor", "tulitutor1 == False and janu_compassion >= 15") # The Smartest Girl in the Class
    ev_tulicr1 = Event("tulicr1", Tuli, 1, "common_room", "tulicr1 == False and janu_compassion >= 15") # Juicy Melons
    ev_tulitrack1 = Event("tulitrack1", Tuli, 1, "work", "day35 == True and tulicr1 == True and tulitutor1 == True and tulitrack1 == False and janu_compassion >= 60") # Multiple of Melons
    ev_tulicr2 = Event("tulicr2", Tuli, 1, "common_room", "tulitrack1 == True and tulicr2 == False and janu_compassion >= 65") # The Watcher
    ev_tulitutor2 = Event("tulitutor2", Tuli, 1, "tutor", "tulicr2 == True and tulitutor2 == False and janu_compassion >= 70") # Cities and Cages
    ev_tulitrack2 = Event("tulitrack2", Tuli, 1, "work", "tulitutor2 == True and tulitrack2 == False and janu_compassion >= 75") # Goalie
    ev_tulicr3 = Event("tulicr3", Tuli, 2, "common_room", "nirimacr4 == True and tulicr3 == False") # Just a Cage in a City
    ev_tulitrack3 = Event("tulitrack3", Tuli, 2, "work", "bookstorenirima4 == True and tulitrack3 == False") # Back on Track...
    ev_tulitutor3 = Event("tulitutor3", Tuli, 2, "tutor", "dream5 == True and tulitutor3 == False") # Free Food and Thighs/That Final Step

    # WENDY
    ev_wendystaff1 = Event("wendystaff1", Wendy, 2, "work", "wendystaff1 == False") # Wendy Wanasha's Coffee Machine
    ev_wendystaff2 = Event("wendystaff2", Wendy, 2, "work", "winterfestival9 == True and wendystaff2 == False") # Wendy Wanasha's Tangerine Travesty

    # ZENA
    ev_zenacr1 = Event("zenacr1", Zena, 2, "common_room", "zenacr1 == False") # The Curious Foreigner's Proposal
    ev_zenakitchen1 = Event("zenakitchen1", Zena, 2, "work", "zenakitchen1 == False") # By-product (The Vicar's Daughter)
    ev_zenatutor1 = Event("zenatutor1", Zena, 2, "tutor", "zenatutor1 == False") # Private School Rebellions
    ev_zenakitchen2 = Event("zenakitchen2", Zena, 2, "work", "zenakitchen1 == True and zenacr1 == True and zenatutor1 == True and zenakitchen2 == False") # Shower in the Shower and Bathing Suits
    ev_zenacr2 = Event("zenacr2", Zena, 2, "common_room", "okinawa15 == True and zenacr2 == False") # The Suffragete Rises Again
    ev_zenakitchen3 = Event("zenakitchen3", Zena, 2, "work", "zenacr2 == True and zenakitchen3 == False") # The Most Charitable Man in Jhizonyu
    ev_zenasleepover1 = Event("zenasleepover1", Zena, 2, "sat_night", "zenakitchen3 == True and zenasleepover1 == False") # Girl's Night