screen navigation():

    vbox:
        style_prefix "navigation"

        xpos gui.navigation_xpos
        yalign 0.5

        spacing gui.navigation_spacing

        if main_menu:

            textbutton _("Start") action Start()

        else:

            textbutton _("History") action ShowMenu("history")

            textbutton _("Save") action ShowMenu("save")

        textbutton _("Load") action ShowMenu("load")

        textbutton _("Preferences") action ShowMenu("preferences")

        textbutton _("Gallery") action ShowMenu("gallery")

        textbutton _("Classmates") action ShowMenu("classmates")

        textbutton _("Hints") action ShowMenu("hinttracker")

        textbutton _("Patreon") action OpenURL("https://www.patreon.com/pers0nas")

        textbutton _("Wiki/Guide") action OpenURL("https://senseiovernight.fandom.com/wiki/SenseiOvernight_Wiki")

        if _in_replay:

            textbutton _("End Replay") action EndReplay(confirm=True)

        elif not main_menu:

            textbutton _("Main Menu") action MainMenu()

        textbutton _("About") action ShowMenu("about")

        if renpy.variant("pc") or (renpy.variant("web") and not renpy.variant("mobile")):

            ## Help isn't necessary or relevant to mobile devices.
            textbutton _("Help") action ShowMenu("help")

        if renpy.variant("pc"):

            ## The quit button is banned on iOS and unnecessary on Android and
            ## Web.
            textbutton _("Quit") action Quit(confirm=not main_menu)

screen quick_menu():

    ## Ensure this appears on top of other screens.
    zorder 100

    if quick_menu:

        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback()
            textbutton _("History") action ShowMenu('history')
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Save") action ShowMenu('save')
            textbutton _("Q.Save") action QuickSave()
            textbutton _("Q.Load") action QuickLoad()
            textbutton _("Hints") action ShowMenu('hinttracker')
            textbutton _("Events") action ShowMenu('events')
            if day8 == True:
                textbutton _("Characters") action ShowMenu('characters')
                textbutton _("Journal") action ShowMenu('journal')
            if kiocafe1 == True:
                textbutton _("Gallery") action ShowMenu('gallery')