################################################################################
## Styles
################################################################################

# Mod Options Screen

style optionbutton:
    size 26
    font "gadugi.ttf"
    hover_color "#FF00F7"
    padding (0, 0)
    margin(0, 0)

style explanation:
    size 22
    font "gadugi.ttf"
    padding (0, 0)
    margin(0, 0)

# Event Trackers

style modmybutton:
    size 24
    font "gadugi.ttf"
    color "#00C803"
    hover_color "#FF00F7"
    padding (0, 0)
    margin(0, 0)

style tracker_button:
    size 24
    font "gadugi.ttf"
    color "#00C803"
    hover_color "#FF00F7"
    padding (0, 0)
    margin(0, 0)

style tracker_text:
    size 24
    font "gadugi.ttf"
    padding (0, 0)
    margin(0, 0)

# hinttracker.rpy

style hint_text:
    size 22
    font "gadugi.ttf"
    padding (0, 0)
    margin(0, 0)

# Progress Screen

style exclam_text:
    size 24
    font "gadugi.ttf"
    padding (0, 0)
    margin(0, 0)

style mod:
    size 24
    font "gadugi.ttf"
    padding (0, 0)
    margin(0, 0)

# Same as the style "mod", but with an "invisible" outline the same color as the background
# Needed for using textbuttons with the girls whose names are outlined
# (Renpy doesn't allow style changes within a single line of text, but it does allow outline color changes)

style invisibleoutline:
    size 28
    font "gadugi.ttf"
    outlines [(absolute(1), "#f2eff0", absolute(0), absolute(0))]

# Same as the style "aff", but with an "invisible" outline the same color as the background
# Needed for using textbuttons with the girls whose names are outlined
# (Renpy doesn't allow style changes within a single line of text, but it does allow outline color changes)

style affoutline:
    size 35
    font "gadugi.ttf"
    outlines [(absolute(2), "#f2eff0", absolute(0), absolute(0))]

# Styles for each girl 
# Each is the style "mod" with that girl's color; those ending in "outline" have a darker outline to aid legibility

style amimod:
    size 24
    # font "gadugi.ttf"
    color "#ff4dd2"

style amihint:
    size 22
    # font "gadugi.ttf"
    color "#ff4dd2"

style aniihint:
    size 22
    # font "gadugi.ttf"
    color "#02fd32"

style chinakahint:
    size 22
    # font "gadugi.ttf"
    color "#488756"

style dayaihint:
    size 22
    # font "gadugi.ttf"
    color "#615645"

style dicehint:
    size 22
    # font "gadugi.ttf"
    color "#860000"

style erukahint:
    size 22
    # font "gadugi.ttf"
    color "#d495ba"

style hanahint:
    size 22
    # font "gadugi.ttf"
    color "#9c083e"

style junahint:
    size 22
    # font "gadugi.ttf"
    color "#89a1ab"

style kiohint:
    size 22
    # font "gadugi.ttf"
    color "#9a51dc"

style linahint:
    size 22
    # font "gadugi.ttf"
    color "#828493"

style morihint:
    size 22
    # font "gadugi.ttf"
    color "#b54f4f"

style nirimahint:
    size 22
    # font "gadugi.ttf"
    color "#65d562"

style nokanahint:
    size 22
    # font "gadugi.ttf"
    color "#856e7d"

style okihint:
    size 22
    # font "gadugi.ttf"
    color "#68adc1"

style ominahint:
    size 22
    # font "gadugi.ttf"
    color "#29c3b8"

style ronihint:
    size 22
    # font "gadugi.ttf"
    color "#867035"

style ryuhint:
    size 22
    # font "gadugi.ttf"
    color "#a19184"

style sorahint:
    size 22
    # font "gadugi.ttf"
    color "#6189e4"

style spudgehint:
    size 22
    # font "gadugi.ttf"
    color "#b1e146"

style tamihint:
    size 22
    # font "gadugi.ttf"
    color "#da881b"

style torahint:
    size 22
    # font "gadugi.ttf"
    color "#d56c47"

style tulihint:
    size 22
    # font "gadugi.ttf"
    color "#e3d52b"

style wendyhint:
    size 22
    # font "gadugi.ttf"
    color "#725e4e"

style zenahint:
    size 22
    # font "gadugi.ttf"
    color "#785c95"
